/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from deviceIFace.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __DEVICEIFACE_STUB__
#define __DEVICEIFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>
#include <qstringlist.h>
#include <qobject.h>


class DeviceIFace_stub : virtual public DCOPStub
{
public:
    DeviceIFace_stub( const QCString& app, const QCString& id );
    DeviceIFace_stub( DCOPClient* client, const QCString& app, const QCString& id );
    explicit DeviceIFace_stub( const DCOPRef& ref );
    virtual bool isConnected();
    virtual QStringList encodings();
    virtual void stopDevice();
    virtual void resumeDevice();
    virtual void switch2filesystem();
    virtual QString deviceVendor();
    virtual QString deviceModel();
    virtual void raiseDevice();
    virtual QString friendlyName();
    virtual void sendSMS( const QString& , const QString&  );
    virtual void storeSMS( const QString& , const QString&  );
    virtual void slotFetchPhonebook();
    virtual void slotFetchCalendar();
    virtual void slotExportSMSList();
    virtual void slotNewSMS();
    virtual void slotNewSMS( const QString&  );
    virtual void slotDialNumber( const QString&  );
    virtual void raisePage( int  );
    virtual QString currentDeviceName();
protected:
    DeviceIFace_stub() : DCOPStub( never_use ) {}
};


#endif
